> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get app details

> Retrieve complete configuration and metadata for a specific application.
Includes binary reference, plan limits, environment variables, and current status.



## OpenAPI

````yaml /api-reference/services_documented/fastedge_api.yaml get /fastedge/v1/apps/{app_id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – FastEdge API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - description: Application templates
    name: FastEdge Templates
    x-displayName: Templates
  - description: Client-level settings and limits
    name: FastEdge Clients
    x-displayName: Clients
  - description: >-
      Apps are descriptions of edge apps, that reference the binary and may
      contain app-specific settings, such as environment variables.
    name: Apps
    x-displayName: Apps
  - description: >-
      Binaries are WebAssembly executables that are actually executed when app
      is ran.
    name: Binaries
    x-displayName: Binaries
  - description: Statistics of edge app use
    name: Stats
    x-displayName: Stats
  - description: Secret values that can be used in apps
    name: FastEdge Secrets
    x-displayName: Secrets
  - description: Key-value edge storage for apps
    name: Edge Storage
    x-displayName: Edge Storage
paths:
  /fastedge/v1/apps/{app_id}:
    get:
      tags:
        - Apps
      summary: Get app details
      description: >-
        Retrieve complete configuration and metadata for a specific application.

        Includes binary reference, plan limits, environment variables, and
        current status.
      operationId: getApp
      parameters:
        - description: Unique identifier of the application to retrieve
          in: path
          name: app_id
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/app'
          description: Returns complete application configuration and metadata
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
          description: Bad request
        '404':
          description: Not found
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            app = client.fastedge.apps.get(
                0,
            )
            print(app.plan_id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tapp, err := client.Fastedge.Apps.Get(context.TODO(), 0)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", app.PlanID)\n}\n"
components:
  schemas:
    app:
      type: object
      properties:
        name:
          type: string
          description: Unique application name (alphanumeric, hyphens allowed)
          minLength: 1
          maxLength: 64
          pattern: ^[a-z0-9][a-z0-9-]*[a-z0-9]$
          example: my-edge-app
          x-stainless-terraform-configurability: computed_optional
        url:
          type: string
          readOnly: true
          description: Auto-generated URL where the application is accessible
          example: my-edge-app.fastedge.gcore.dev
        binary:
          type: integer
          format: int64
          description: ID of the WebAssembly binary to deploy
          minimum: 1
          example: 12345
          x-stainless-terraform-configurability: computed_optional
        template:
          type: integer
          format: int64
          description: Template ID
        template_name:
          readOnly: true
          type: string
          description: Template name
        status:
          type: integer
          description: |-
            Status code:  
            0 - draft (inactive)  
            1 - enabled  
            2 - disabled  
            5 - suspended
          minimum: 0
          maximum: 5
          example: 1
          x-stainless-terraform-configurability: computed_optional
        plan_id:
          readOnly: true
          type: integer
          format: int64
          description: Plan ID
        plan:
          readOnly: true
          type: string
          description: Plan name
        env:
          type: object
          description: Environment variables
          additionalProperties:
            type: string
          example:
            var1: value1
            var2: value2
          x-stainless-terraform-configurability: computed_optional
        rsp_headers:
          type: object
          description: Extra headers to add to the response
          additionalProperties:
            type: string
          example:
            header1: value1
            header2: value2
          x-stainless-terraform-configurability: computed_optional
        log:
          deprecated: true
          type: string
          nullable: true
          enum:
            - kafka
            - none
          x-stainless-terraform-configurability: computed_optional
        debug:
          type: boolean
          writeOnly: true
          description: >-
            Enable verbose debug logging for 30 minutes. Automatically expires
            to prevent performance impact.
          default: false
          example: false
        debug_until:
          type: string
          format: date-time
          readOnly: true
          description: When debugging finishes
        comment:
          type: string
          description: Optional human-readable description of the application's purpose
          maxLength: 1024
          example: Production API gateway for customer portal
          x-stainless-terraform-configurability: computed_optional
        api_type:
          readOnly: true
          type: string
          description: Wasm API type
        networks:
          readOnly: true
          description: Networks
          type: array
          items:
            type: string
        secrets:
          type: object
          description: Application secrets
          additionalProperties:
            $ref: '#/components/schemas/app_secret_short'
        stores:
          type: object
          description: Application edge stores
          additionalProperties:
            $ref: '#/components/schemas/app_store'
    error:
      type: object
      required:
        - error
      properties:
        error:
          type: string
          description: Error message
    app_secret_short:
      type: object
      description: Application secret short description
      required:
        - id
      properties:
        id:
          type: integer
          format: int64
          description: The unique identifier of the secret.
        name:
          type: string
          readOnly: true
          description: The unique name of the secret.
        comment:
          type: string
          readOnly: true
          description: A description or comment about the secret.
    app_store:
      type: object
      description: Application stores
      required:
        - id
        - name
      properties:
        id:
          type: integer
          format: int64
          description: The identifier of the store
        name:
          type: string
          readOnly: true
          x-go-type-skip-optional-pointer: true
          description: The name of the store
        comment:
          type: string
          readOnly: true
          description: A description of the store
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````